###

###

###

###

###

###

    STRCASECMP(3)       Linux Programmer's Manual       STRCASECMP(3)

    NAME
           strcasecmp,  strncasecmp  -  compare  two strings ignoring
           case

    SYNOPSIS
           #include <string.h>

           int strcasecmp(const char *s1, const char *s2);

           int strncasecmp(const char *s1, const char *s2, size_t n);

    DESCRIPTION
           The strcasecmp() function compares the two strings s1  and
           s2,  ignoring  the  case of the characters.  It returns an
           integer less than, equal to, or greater than zero if s1 is
           found,  respectively,  to  be  less  than, to match, or be
           greater than s2.

           The strncasecmp() function is similar, except it only com-
           pares the first n characters of s1.

    RETURN VALUE
           The  strcasecmp()  and  strncasecmp()  functions return an
           integer less than, equal to, or greater than  zero  if  s1
           (or  the first n bytes thereof) is found, respectively, to
           be less than, to match, or be greater than s2.

    CONFORMING TO
           BSD 4.3

### SEE ALSO

bcmp, memcmp, strcmp, strcoll, strncmp,

                              April 11, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0